Passa al contenuto principale

ObjectStoragePaginatedListResponse

Successful response with a page of ObjectStorage

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • object_storage_idintegerrequired
    purchase_idinteger | nullnullablerequired

    Id of the purchase of the object storage (GET /api/v3/purchases/{purchase_id})

    namestring | nullnullablerequired

    Name of the object storage account at the storage, the same as code_full

    emailstring | nullnullablerequired

    Contact email of the object storage account at the storage, generated by the service (<code_full>@serverlet.it)

    codeinteger | nullnullablerequired
    code_fullstring | nullnullablerequired

    Code of the object storage account at the storage, used as its name

    activeboolean | nullnullablerequired

    Whether the object storage account is active at the storage: false after its deletion

    active_storage_bytesinteger | nullnullablerequired

    Space used by the active objects, in bytes

    deleted_storage_bytesinteger | nullnullablerequired

    Space of the deleted objects that still counts toward the purchased space, in bytes

    active_objectsinteger | nullnullablerequired

    Number of active objects

    deleted_objectsinteger | nullnullablerequired

    Number of deleted objects still counted in deleted_storage_bytes

    api_calls_countinteger | nullnullablerequired

    Number of API calls in the day of the latest usage data

    storage_wrote_bytesinteger | nullnullablerequired

    Data written in the day of the latest usage data, in bytes

    storage_read_bytesinteger | nullnullablerequired

    Data read in the day of the latest usage data, in bytes

    egress_traffic_bytesinteger | nullnullablerequired

    Outgoing traffic in the day of the latest usage data, in bytes

    ingress_traffic_bytesinteger | nullnullablerequired

    Incoming traffic in the day of the latest usage data, in bytes

    reference_datedatenullablerequired

    Date the object storage account was created at the storage: it is not the date of the usage figures

  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    ObjectStoragePaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "object_storage_id": 0,
    "purchase_id": 0,
    "name": "string",
    "email": "string",
    "code": 0,
    "code_full": "string",
    "active": true,
    "active_storage_bytes": 0,
    "deleted_storage_bytes": 0,
    "active_objects": 0,
    "deleted_objects": 0,
    "api_calls_count": 0,
    "storage_wrote_bytes": 0,
    "storage_read_bytes": 0,
    "egress_traffic_bytes": 0,
    "ingress_traffic_bytes": 0,
    "reference_date": "2024-07-29"
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }